package com.allinpay.yst2.demo.tx;

import com.allinpay.yst2.demo.util.TxUtils;
import com.allinpay.yst2.demo.vo.BizParameter;
import com.allinpay.yst2.demo.vo.TxResponse;

/**
 * 会员资料补录测试demo
 *
 * @author gejunqing
 * @version 1.0
 * @date 2024/1/11
 */
public class Member1022Demo extends TxDemo
{
    public static void main(String[] args) throws Exception
    {
        // 组装参数
        BizParameter bizParameter = new BizParameter();
        bizParameter.addParam("reqTraceNum", TxUtils.genReqTraceNum());
       // bizParameter.addParam("appId", "21754330162443890690");
        bizParameter.addParam("signNum", "busi1");
        bizParameter.addParam("notifyUrl","http://test.allinpay.com/open/testNotify");

        bizParameter.addParam("legpCerFront","3320240305201764992937885954050");//法人身份证（肖像面）

       bizParameter.addParam("legpCerBack","3320240305201764993022011109378");//法人身份证（国徽面）

        bizParameter.addParam("unifiedSocialCredit","3320240305201764992483856740353"); //统一信用证

        bizParameter.addParam("otherPhotocopyType","8");//其他影印件类型

        bizParameter.addParam("photocopyToken","3320240305201764992483856740353");//影印件图片文件


        // 发送请求
        TxClient txClient = new TxClient(demoConfig);
        TxResponse txResponse = txClient.sendRequest("1022", bizParameter, demoConfig.getMemberUrl());
        // 打印响应结果
        logger.info(txResponse.getBizData());
    }
}
