package com.allinpay.yst2.demo.tx;

import com.allinpay.yst2.demo.vo.BizParameter;
import com.allinpay.yst2.demo.vo.TxResponse;

/**
 * 【订单状态查询】
 *
 * @author gejunqing
 * @version 1.0
 * @date 2024/1/11
 */
public class Tq3001Demo extends TxDemo
{
    public static void main(String[] args) throws Exception
    {
        // 组装参数
        BizParameter bizParameter = new BizParameter();
        bizParameter.addParam("respTraceNum", "20240328175954208901135731");

        // 发送请求
        TxClient txClient = new TxClient(demoConfig);
        TxResponse txResponse = txClient.sendRequest("3001", bizParameter, demoConfig.getQueryUrl());
        // 打印响应结果
        logger.info(txResponse.getBizData());
    }
}
