package com.allinpay.yst2.demo.vo;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.JSONObject;

/**
 * 业务参数
 *
 * @author gejunqing
 * @version 1.0
 * @date 2024/1/11
 */
public class BizParameter extends JSONObject
{
    public void addParam(String paramName, String paramValue)
    {
        this.put(paramName, paramValue);
    }

    public void addParam(String paramName, int paramValue)
    {
        this.put(paramName, paramValue);
    }

    public void addMapParam(String paramName, Map<String, Object> paramMap)
    {
        this.put(paramName, paramMap);
    }
    public void addListParam(String paramName, List paramValue)
    {
        this.put(paramName, paramValue);
    }
}
