package com.allinpay.yst2.demo.tx;

import com.allinpay.yst2.demo.util.TxUtils;
import com.allinpay.yst2.demo.vo.BizParameter;
import com.allinpay.yst2.demo.vo.TxResponse;

/**
 * 个人会员实名及绑卡确认
 *
 * @author gejunqing
 * @version 1.0
 * @date 2024/1/11
 */
public class Member1011Demo extends TxDemo
{
    public static void main(String[] args) throws Exception
    {
        // 组装参数
        BizParameter bizParameter = new BizParameter();
        // 发送请求
        bizParameter.addParam("reqTraceNum", TxUtils.genReqTraceNum());
        bizParameter.addParam("signNum", "2705wxl00001");
        bizParameter.addParam("applyRespTraceNum", "20240304111308101000950414");
        bizParameter.addParam("phone", "15201933462");
//        bizParameter.addParam("validDate", "1230");
//        bizParameter.addParam("cvv2", "463");
        bizParameter.addParam("verifyCode", "277733");

        TxClient txClient = new TxClient(demoConfig);
        TxResponse txResponse = txClient.sendRequest("1011", bizParameter, demoConfig.getMemberUrl());
        // 打印响应结果
        logger.info(txResponse.getBizData());
    }
}
