package com.allinpay.yst2.demo.tx;

import com.allinpay.yst2.demo.util.TxUtils;
import com.allinpay.yst2.demo.vo.BizParameter;
import com.allinpay.yst2.demo.vo.TxResponse;

/**
 * 【转账申请】
 *
 * @author gejunqing
 * @version 1.0
 * @date 2024/1/11
 */
public class Tx2084Demo extends TxDemo
{
    public static void main(String[] args) throws Exception
    {
    	
    	// 组装参数
        BizParameter bizParameter = new BizParameter();
        bizParameter.addParam("reqTraceNum", TxUtils.genReqTraceNum()+ "lp2084");//商户订单号
        bizParameter.addParam("signNum", "#yunBizUserId_B2C#");//商户会员编号-转出方//#yunBizUserId_B2C#
//        bizParameter.addParam("acctType", 1);//1：簿记账户（默认）、2：支付账户
//        bizParameter.addParam("acctNum", "1001010101");//支付账户-转出方
        bizParameter.addParam("inSignNum", "9665wxl202400006");//商户会员编号-转入方//ysttwolp01
//        bizParameter.addParam("inAcctType", 1);//1：簿记账户（默认）、2：支付账户
//        bizParameter.addParam("inAcctNum", "1001010101");//支付账户-转出方
        bizParameter.addParam("respUrl", "http://test.allinpay.com/open/testNotify");//后台通知地址
        bizParameter.addParam("orderAmount", 1000);//订单金额
       // bizParameter.addParam("summary", "摘要");
       // bizParameter.addParam("extendParams", "{\"extend\":\"abcdefghiii\"}");

        // 发送请求
        TxClient txClient = new TxClient(demoConfig);
        TxResponse txResponse = txClient.sendRequest("2084", bizParameter);
        // 打印响应结果
        logger.info(txResponse.getBizData());
    }
}
