package com.allinpay.yst2.demo.tx;

import com.allinpay.yst2.demo.vo.BizParameter;
import com.allinpay.yst2.demo.vo.TxResponse;

/**
 * 订单确认demo
 *【确认支付（后台+短信）】
 * @author gejunqing
 * @version 1.0
 * @date 2024/1/11
 */
public class Tx3010Demo extends TxDemo
{
    public static void main(String[] args) throws Exception
    {
        // 组装参数
        BizParameter bizParameter = new BizParameter();
        bizParameter.addParam("respTraceNum", "20240228171459208501776449");
        bizParameter.addParam("verifyCode", "111111");

        // 发送请求
        TxClient txClient = new TxClient(demoConfig);
        TxResponse txResponse = txClient.sendRequest("3010", bizParameter);
        // 打印响应结果
        logger.info(txResponse.getBizData());
    }
}
